/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Christian Eichinger <ce@desktopbsd.net>
 *         (C) 2006
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __PPPSETTINGS_H
#define __PPPSETTINGS_H

#include <dbsdsettings.h>

class PPPSettings : public DBSDSettings 
{

public:
	
	int  getConfiguration();
	bool setConfiguration(int);

	int  getConnectionType();
	bool setConnectionType(int);
	
	bool getCustomDNSEnabled();
	bool setCustomDNSEnabled(bool);
	
	QString getPrimaryDNS();
	bool setPrimaryDNS(const QString&);
	
	QString getSecondaryDNS();
	bool setSecondaryDNS(const QString&);
	
	QString getAccountID();
	bool setAccountID(const QString&);
	
	QString getPassword();
	bool setPassword(const QString&);
	
	QString getModemIP();
	bool setModemIP(const QString&);

	QString getNetworkDevice();
	bool setNetworkDevice(const QString&);
};

#endif /* __PPPSETTINGS_H */
